Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.udo
Interface JRGroupListener

    public interface JRGroupListener

The interface for objects needs a group of records when paging process. For example, a crosstab placed in group header needs the records of current group for calculating its aggregation functions.

Method Summary
`void` | `fetchNewRecord(Record record)` When binding UDO Display Value with a field or a group, user needs to do some preparations after fetching every piece of record. The method will be called when fetching each new record.
`void` | `finishFetchRecords()` When binding UDO Display Value with a field or a group, user needs to do some preparations after fetching the last record. The method will be called after you fetched the last record.
`void` | `prepareFetchRecords()` When binding UDO Display Value with a field or a group, user needs to do some preparations before fetching the first record. The method will be called before fetching the first record.
`void` | `setTemplate(JRObjectTemplate rptobj)` Sets the UDO's template.

Method Detail

### setTemplate

    void setTemplate(JRObjectTemplate rptobj)

  Sets the UDO's template.

  Parameters:
    `rptobj` - The template of the UDO.
  See Also:
    `JRObjectTemplate`

### prepareFetchRecords

    void prepareFetchRecords()

  When binding UDO Display Value with a field or a group,
  user needs to do some preparations before fetching the first record.
  The method will be called before fetching the first record.

### finishFetchRecords

    void finishFetchRecords()

  When binding UDO Display Value with a field or a group,
  user needs to do some preparations after fetching the last record.
  The method will be called after you fetched the last record.

### fetchNewRecord

    void fetchNewRecord(Record record)

  When binding UDO Display Value with a field or a group,
  user needs to do some preparations after fetching every piece of record.
  The method will be called when fetching each new record.

  Parameters:
    `record` - `jet.connect.Record` Current record.
  See Also:
    `Record`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD